Scriptname _xCandyWeapons extends activemagiceffect  

ObjectReference Victim
ObjectReference Snowman
ObjectReference Property Snowman1 auto
ObjectReference Property Snowman2 auto
ObjectReference Property Snowman3 auto
ObjectReference Property Snowman4 auto
ObjectReference Property Snowman5 auto
Explosion Property Boom auto
Sound Property _xJingleSM auto

Event OnEffectStart(Actor akTarget, Actor akCaster)

	Victim = akTarget as ObjectReference
	;debug.notification("Victim = " + Victim)

	Int Rando = Utility.RandomInt(1,20)

	If Rando == 1

		ResolveSnowman()

		_xJingleSM.Play(Victim)	

		Victim.PlaceAtMe(Boom)		

		ObjectReference SnowmanTemp = Victim.PlaceAtMe(Snowman.GetBaseObject()) as ObjectReference

		SnowmanTemp.SetScale(0.66)

		SnowmanTemp.MoveTo(Victim, abMatchRotation = true)

		SnowmanTemp.SetAngle(0, Victim.GetAngleY(), Victim.GetAngleZ())

		Victim.DisableNoWait()

		Utility.Wait(7.0)

		SnowmanTemp.PlaceAtMe(Boom)

		SnowmanTemp.DisableNoWait()

		Victim.EnableNoWait()

		SnowmanTemp.Delete()

	EndIf
	
EndEvent

Function ResolveSnowman()

	Int Randsno = Utility.RandomInt(1,5)

	If Randsno == 1
		Snowman = Snowman1
	ElseIf Randsno == 2
		Snowman = Snowman2
	ElseIf Randsno == 3
		Snowman = Snowman3
	ElseIf Randsno == 4
		Snowman = Snowman4
	ElseIf Randsno == 5
		Snowman = Snowman5
	EndIf

EndFunction